tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Segree, Gareth" <Gareth.Seg...@gleanerjm.com>
Subject Cant compile tomcat 4.0.3 as a module to apache 2.0
Date Thu, 13 Jun 2002 23:36:08 GMT
I am also getting the following when trying to install tomcat as a module to
apache 2.36

Apache compile:

EAPI_MM=SYSTEM OPTIM="-O3 -mcpu=i686 -funroll-loops -fomit-frame-pointer"
CFLAGS="-DDYNAMIC_MODULE_LIMIT=0" ./configure --prefix=/home/httpd
--bindir=/usr/bin --sbindir=/usr/sbin --libexecdir=/usr/lib/apache
--includedir=/usr/include/apache --sysconfdir=/etc/httpd/conf
--localstatedir=/var --datadir=/home/httpd --mandir=/usr/share/man
--enable-so --with-apxs

cd /tmp/{tomcat_connector}/webapp
support/buildconf.sh

I get the following error:

--- Cannot run APR "buildconf" script
Don't a forget to download a copy of the APR sources, and to run
the buildconf script for it:
  # cd [path to APR sources]
  # ./buildconf
  # cd [path to WebApp sources]
Then remember to run ./configure script including the command line
option "--with-apr=[path to APR sources]"
--- Creating WebApp "configure" script
Creating configure ...
--- All done

I downloaded apr_20020612223008.tar.gz & untar
cd apr
./configure
make

cd /tmp/{tomcat_connector}/webapp
./configure --with-apxs=/usr/sbin/apxs
--with-tomcat=/usr/jakarta-tomcat-4.0/ --with-apr=/tmp/apr

but still getting error:

checking for Apache apxs... yes
sh: /usr/bin/envvars: No such file or directory
apxs:Error: Sorry, no shared object support for Apache.
apxs:Error: available under your platform. Make sure.
apxs:Error: the Apache module mod_so is compiled into.
apxs:Error: your server binary `/usr/sbin/httpd'..
configure: error: "/include" not found. Use --with-apr-include=DIR.

--
To unsubscribe, e-mail:   <mailto:tomcat-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-user-help@jakarta.apache.org>


Mime
View raw message